Bug 44374 - LDAP Filter / DN's aren't escaped in S4 Connector: Fixup
LDAP Filter / DN's aren't escaped in S4 Connector: Fixup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Lukas Oyen
Florian Best
:
Depends on: 32086 43397 43407
Blocks: 43598 44276
  Show dependency treegraph
 
Reported: 2017-04-13 16:12 CEST by Lukas Oyen
Modified: 2017-09-20 15:03 CEST (History)
5 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2013072421001655
Bug group (optional):
Max CVSS v3 score:
oyen: Patch_Available+


Attachments
Fix LDAP filter escaping in S4C. (1.34 KB, patch)
2017-04-13 16:12 CEST, Lukas Oyen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Oyen univentionstaff 2017-04-13 16:12:04 CEST
Created attachment 8777 [details]
Fix LDAP filter escaping in S4C.

+++ This bug was initially created as a clone of Bug #32086 +++

During #32086 a spot was missed, the attached patch fixes this hole.
Comment 1 Florian Best univentionstaff 2017-05-08 16:10:07 CEST
ucs-test r79205 should be reverted when this bug is fixed.
Comment 2 Lukas Oyen univentionstaff 2017-08-07 09:04:26 CEST
Committed in r81809 (tests r81811/r81812, revert rr81813, advisory r81815).
Comment 3 Florian Best univentionstaff 2017-08-08 17:36:31 CEST
OK: looks good.
OK: YAML (adjusted in r81906)
Comment 4 Erik Damrose univentionstaff 2017-09-20 15:03:58 CEST
<http://errata.software-univention.de/ucs/4.2/167.html>